{%- from "designate/map.jinja" import server with context %}

designate_upgrade_verify_api:
  test.show_notification:
    - name: "dump_message_verify_api"
    - text: "Running designate.upgrade.verify.api"

{%- if server.get('role', 'primary') == 'primary' %}
{% set Designate_Test_Zone = 'upgradetest.tld.' %}
designatev2_zone_present:
  designatev2.zone_present:
  - cloud_name: admin_identity
  - name: {{ Designate_Test_Zone }}
  - email: 'example@doc.com'

designatev2_zone_list:
  module.run:
    - name: designatev2.zone_list
    - kwargs:
        cloud_name: admin_identity

designatev2_zone_get_details:
  module.run:
    - name: designatev2.zone_get_details
    - kwargs:
        cloud_name: admin_identity
        zone_id: {{ Designate_Test_Zone }}

designatev2_zone_get_name_servers:
  module.run:
    - name: designatev2.zone_get_name_servers
    - kwargs:
        cloud_name: admin_identity
        zone_id: {{ Designate_Test_Zone }}


designatev2_zone_absent:
  designatev2.zone_absent:
  - cloud_name: admin_identity
  - name: {{ Designate_Test_Zone }}
{%- endif %}